Subject: Re: bug#25778: 25.1; [PATCH] Drastically simplify xdg-open check

From: Eli Zaretskii <[email-masked]>
Date: Sat, 18 Feb 2017 09:58:18 +0200

> Date: Fri, 17 Feb 2017 19:55:14 +0100
> From: Vasilij Schneidermann <[email-masked]>
> Cc: [email-masked]
> 
> > First, checking $DISPLAY doesn't yet mean you are in a GUI frame.  We
> > have display-graphic-p for that.
> 
> The assumption that you need to be in a GUI frame is incorrect.  If I
> run `emacs -nw` in a graphical terminal emulator, why would that prevent
> me from opening a graphical browser?  The only way I see to detect
> whether a graphical browser can be opened is by checking for X with
> $DISPLAY.

In that case, maybe we shouldn't test $DISPLAY at all?  Why restrict
this to X if xdg-open is already tested for availability?

> Do you have any actual objections based on a situation where one would
> *not* want to use xdg-open, even though it's installed and the user in a
> X11 session?

See Glenn's response about that.  I think we should be more careful
with these issues, and at least do some more research of them before
we can be sure they are no longer relevant.  If you could follow up on
that, it would be great.

Thanks.